[=  AutoGen5 Template spec =]
[= (dne "# " "# ") =]
#
[= (bsd (get "prog-name") (get "copyright.owner") "# ") =]
#
%define name    [= prog-name =]
%define version [= version   =]
%define release [= ver_major =]
%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest

# required items
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: [= `date +Y` =]
License: [=
  CASE copyright.type  =][=
  =  bsd               =]Berkeley Software Distribution License[=
  =  gpl               =]GNU copyleft[=
  =  lgpl              =]GNU copyleft with Library Exceptions[=
  =  note              =]
[= (prefix "\t" (get "copyright.text")) =][=
  *                    =]Unknown or not specified licensing[=
  ESAC                 =]
Group: Application/Misc

# optional items
Vendor: [= copyright.owner =]
#Distribution:
#Icon:
#URL:
Packager: [= copyright.owner =] [= copyright.eaddr =]

# source + patches
Source: %{name}-%{version}.tar.gz
#Source1:
#Patch:
#Patch1:

# RPM info
#Provides:
#Requires:
#Conflicts:
#Prereq:

#Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}

Summary: [= prog_title =]

%description
	[= prog_title =]

[= (prefix "\t" (string-append (get "explain") "\n" (get "detail")) ) =]

%prep
%setup -q
#%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall

# __os_install_post is implicitly expanded after the
# %install section... do it now, and then disable it,
# so all work is done before building manifest.

%{?__os_install_post}
%define __os_install_post %{nil}

# build the file list automagically into %{manifest}

cd $RPM_BUILD_ROOT
rm -f %{manifest}
find . -type d \
        | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> %{manifest}
find . -type f \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}
find . -type l \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}

#%pre
#%post
#%preun
#%postun

%clean
rm -f %{manifest}
rm -rf $RPM_BUILD_ROOT

%files -f %{manifest}
%defattr(-,root,root)
%doc README blocksort.1
#%docdir
#%config

%changelog
2002-08-18 initial rev.
